#include "StdAfx.h"
#include "NRichEditCtrlScriptletPlugin.h"
#include "ScriptletConstant.h"
#include  "NRichEditCtrl.h"
#include "XMLUtil.h"

REGISTER_SCRIPTLETCOMPONENTPLUGIN_CREATOR(SCRIPTLET_RICHTEXT_NODE, CNRichEditCtrlScriptletPlugin);
CNRichEditCtrlScriptletPlugin::CNRichEditCtrlScriptletPlugin(void)
{
}

CNRichEditCtrlScriptletPlugin::~CNRichEditCtrlScriptletPlugin(void)
{
}

BOOL CNRichEditCtrlScriptletPlugin::ModifyComponent(CContainer* pParent, CComponent* pTarget, TiXmlElement* pNode)
{
	BOOL bSuccess = __super::ModifyComponent(pParent, pTarget, pNode);
	if (bSuccess)
	{
		CNRichEditCtrl* pRichText = reinterpret_cast<CNRichEditCtrl*>(pTarget);
		if (pRichText == NULL)
		{
			return FALSE;
		}
		TCHAR szValue[SCRIPTLET_MAX_VALUE] = {0};
		//html
		if (XMLUtil::GetAttrValue(pNode, CT2CA(SCRIPTLET_HTML_NODE), szValue, SCRIPTLET_MAX_VALUE) ||
			XMLUtil::GetValueAsAttr(pNode, CT2CA(SCRIPTLET_HTML_NODE), szValue, SCRIPTLET_MAX_VALUE))
		{
			LPCTSTR pszHtml = LoadString(szValue);
			pRichText->SetHtml(pszHtml);
		}
		
	}
	return bSuccess;
}
CComponent* CNRichEditCtrlScriptletPlugin::_CreateComponent(TiXmlElement* pNode)
{
	CComponent* pComponent = new CNRichEditCtrl;
	return pComponent;
}